# pyroblack - Telegram MTProto API Client Library for Python
# Copyright (C) 2017-present Dan <https://github.com/delivrance>
# Copyright (C) 2022-present Mayuri-Chan <https://github.com/Mayuri-Chan>
# #  Copyright (C) 2024-present eyMarv <https://github.com/eyMarv>
#
# This file is part of pyroblack.
#
# pyroblack is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# pyroblack is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with pyroblack.  If not, see <http://www.gnu.org/licenses/>.

from .flood_420 import *
from .unauthorized_401 import *
from .internal_server_error_500 import *
from .forbidden_403 import *
from .bad_request_400 import *
from .service_unavailable_503 import *
from .not_acceptable_406 import *
from .see_other_303 import *

__all__ = [
    "AboutTooLong",
    "AccessTokenExpired",
    "AccessTokenInvalid",
    "ActiveUserRequired",
    "AddressInvalid",
    "AdminIdInvalid",
    "AdminRankEmojiNotAllowed",
    "AdminRankInvalid",
    "AdminRightsEmpty",
    "AdminsTooMuch",
    "AlbumPhotosTooMany",
    "AnonymousReactionsDisabled",
    "ApiCallError",
    "ApiIdInvalid",
    "ApiIdPublishedFlood",
    "ArticleTitleEmpty",
    "AudioContentUrlEmpty",
    "AudioTitleEmpty",
    "AuthBytesInvalid",
    "AuthKeyDuplicated",
    "AuthKeyInvalid",
    "AuthKeyPermEmpty",
    "AuthKeyUnregistered",
    "AuthRestart",
    "AuthTokenAlreadyAccepted",
    "AuthTokenException",
    "AuthTokenExpired",
    "AuthTokenInvalid",
    "AuthTokenInvalid2",
    "AuthTokenInvalidx",
    "AutoarchiveNotAvailable",
    "BadRequest",
    "BalanceTooLow",
    "BankCardNumberInvalid",
    "BannedRightsInvalid",
    "BasePortLocInvalid",
    "BirthdayInvalid",
    "BoostNotModified",
    "BoostPeerInvalid",
    "BoostsEmpty",
    "BoostsRequired",
    "BotAppInvalid",
    "BotAppShortnameInvalid",
    "BotChannelsNa",
    "BotCommandDescriptionInvalid",
    "BotCommandInvalid",
    "BotDomainInvalid",
    "BotGamesDisabled",
    "BotGroupsBlocked",
    "BotInlineDisabled",
    "BotInvalid",
    "BotMethodInvalid",
    "BotMissing",
    "BotOnesideNotAvail",
    "BotPaymentsDisabled",
    "BotPollsDisabled",
    "BotPrecheckoutFailed",
    "BotResponseTimeout",
    "BotScoreNotModified",
    "BotWebviewDisabled",
    "BotsTooMuch",
    "BroadcastCallsDisabled",
    "BroadcastForbidden",
    "BroadcastIdInvalid",
    "BroadcastPublicVotersForbidden",
    "BroadcastRequired",
    "ButtonDataInvalid",
    "ButtonIdInvalid",
    "ButtonTextInvalid",
    "ButtonTypeInvalid",
    "ButtonUrlInvalid",
    "ButtonUserInvalid",
    "ButtonUserPrivacyRestricted",
    "CallAlreadyAccepted",
    "CallAlreadyDeclined",
    "CallOccupyFailed",
    "CallPeerInvalid",
    "CallProtocolCompatLayerInvalid",
    "CallProtocolFlagsInvalid",
    "CdnMethodInvalid",
    "CdnUploadTimeout",
    "ChannelAddInvalid",
    "ChannelBanned",
    "ChannelForumMissing",
    "ChannelIdInvalid",
    "ChannelInvalid",
    "ChannelParicipantMissing",
    "ChannelPrivate",
    "ChannelPublicGroupNa",
    "ChannelTooBig",
    "ChannelTooLarge",
    "ChannelsAdminLocatedTooMuch",
    "ChannelsAdminPublicTooMuch",
    "ChannelsTooMuch",
    "ChargeAlreadyRefunded",
    "ChargeNotFound",
    "ChatAboutNotModified",
    "ChatAboutTooLong",
    "ChatAdminInviteRequired",
    "ChatAdminRequired",
    "ChatDiscussionUnallowed",
    "ChatForbidden",
    "ChatForwardsRestricted",
    "ChatFromCallChanged",
    "ChatGuestSendForbidden",
    "ChatIdEmpty",
    "ChatIdGenerateFailed",
    "ChatIdInvalid",
    "ChatInvalid",
    "ChatInvitePermanent",
    "ChatLinkExists",
    "ChatNotModified",
    "ChatOccupyLocFailed",
    "ChatOccupyUsernameFailed",
    "ChatPublicRequired",
    "ChatRestricted",
    "ChatRevokeDateUnsupported",
    "ChatSendAudiosForbidden",
    "ChatSendDocsForbidden",
    "ChatSendGameForbidden",
    "ChatSendGifsForbidden",
    "ChatSendInlineForbidden",
    "ChatSendMediaForbidden",
    "ChatSendPhotosForbidden",
    "ChatSendPlainForbidden",
    "ChatSendPollForbidden",
    "ChatSendRoundvideosForbidden",
    "ChatSendStickersForbidden",
    "ChatSendVideosForbidden",
    "ChatSendVoicesForbidden",
    "ChatTitleEmpty",
    "ChatTooBig",
    "ChatWriteForbidden",
    "ChatlistExcludeInvalid",
    "ChatlistsTooMuch",
    "ChpCallFail",
    "CodeEmpty",
    "CodeHashInvalid",
    "CodeInvalid",
    "ColorInvalid",
    "ConnectionApiIdInvalid",
    "ConnectionAppVersionEmpty",
    "ConnectionDeviceModelEmpty",
    "ConnectionLangPackInvalid",
    "ConnectionLayerInvalid",
    "ConnectionNotInited",
    "ConnectionSystemEmpty",
    "ConnectionSystemLangCodeEmpty",
    "ContactAddMissing",
    "ContactIdInvalid",
    "ContactMissing",
    "ContactNameEmpty",
    "ContactReqMissing",
    "CreateCallFailed",
    "CurrencyTotalAmountInvalid",
    "CustomReactionsTooMany",
    "DataInvalid",
    "DataJsonInvalid",
    "DataTooLong",
    "DateEmpty",
    "DcIdInvalid",
    "DhGAInvalid",
    "DocumentInvalid",
    "EditBotInviteForbidden",
    "EmailHashExpired",
    "EmailInvalid",
    "EmailNotAllowed",
    "EmailNotSetup",
    "EmailUnconfirmed",
    "EmailVerifyExpired",
    "EmojiInvalid",
    "EmojiMarkupInvalid",
    "EmojiNotModified",
    "EmoticonEmpty",
    "EmoticonInvalid",
    "EmoticonStickerpackMissing",
    "EncryptedMessageInvalid",
    "EncryptionAlreadyAccepted",
    "EncryptionAlreadyDeclined",
    "EncryptionDeclined",
    "EncryptionIdInvalid",
    "EncryptionOccupyAdminFailed",
    "EncryptionOccupyFailed",
    "EntitiesTooLong",
    "EntityBoundsInvalid",
    "EntityMentionUserInvalid",
    "ErrorTextEmpty",
    "ExpireDateInvalid",
    "ExpireForbidden",
    "ExportCardInvalid",
    "ExtendedMediaAmountInvalid",
    "ExtendedMediaPeerInvalid",
    "ExtendedMediaTypeInvalid",
    "ExternalUrlInvalid",
    "FieldNameEmpty",
    "FieldNameInvalid",
    "FileContentTypeInvalid",
    "FileEmtpy",
    "FileIdInvalid",
    "FileMigrate",
    "FilePart0Missing",
    "FilePartEmpty",
    "FilePartInvalid",
    "FilePartLengthInvalid",
    "FilePartMissing",
    "FilePartSizeChanged",
    "FilePartSizeInvalid",
    "FilePartTooBig",
    "FilePartsInvalid",
    "FileReferenceEmpty",
    "FileReferenceExpired",
    "FileReferenceInvalid",
    "FileTitleEmpty",
    "FileTokenInvalid",
    "FileWriteFailed",
    "FilerefUpgradeNeeded",
    "FilterIdInvalid",
    "FilterIncludeEmpty",
    "FilterNotSupported",
    "FilterTitleEmpty",
    "FirstnameInvalid",
    "Flood",
    "FloodPremiumWait",
    "FloodTestPhoneWait",
    "FloodWait",
    "FolderDeacAutofixAll",
    "FolderIdEmpty",
    "FolderIdInvalid",
    "Forbidden",
    "FormIdExpired",
    "ForumEnabled",
    "FreshChangeAdminsForbidden",
    "FreshChangePhoneForbidden",
    "FreshResetAuthorisationForbidden",
    "FromMessageBotDisabled",
    "FromPeerInvalid",
    "GameBotInvalid",
    "GeneralModifyIconForbidden",
    "GeoPointInvalid",
    "GifContentTypeInvalid",
    "GifIdInvalid",
    "GiftSlugExpired",
    "GiftSlugInvalid",
    "GiftcodeNotAllowed",
    "GraphExpiredReload",
    "GraphInvalidReload",
    "GraphOutdatedReload",
    "GroupCallInvalid",
    "GroupcallAddParticipantsFailed",
    "GroupcallAlreadyDiscarded",
    "GroupcallAlreadyStarted",
    "GroupcallForbidden",
    "GroupcallInvalid",
    "GroupcallJoinMissing",
    "GroupcallNotModified",
    "GroupcallSsrcDuplicateMuch",
    "GroupedIdOccupyFailed",
    "GroupedMediaInvalid",
    "HashInvalid",
    "HideRequesterMissing",
    "HistoryGetFailed",
    "ImageEngineDown",
    "ImageProcessFailed",
    "ImportFileInvalid",
    "ImportFormatUnrecognized",
    "ImportIdInvalid",
    "ImportTokenInvalid",
    "InlineBotRequired",
    "InlineResultExpired",
    "InputChatlistInvalid",
    "InputConstructorInvalid",
    "InputFetchError",
    "InputFetchFail",
    "InputFilterInvalid",
    "InputLayerInvalid",
    "InputMethodInvalid",
    "InputRequestTooLong",
    "InputTextEmpty",
    "InputTextTooLong",
    "InputUserDeactivated",
    "InterdcCallError",
    "InterdcCallRichError",
    "InternalServerError",
    "InviteForbiddenWithJoinas",
    "InviteHashEmpty",
    "InviteHashExpired",
    "InviteHashInvalid",
    "InviteRequestSent",
    "InviteRevokedMissing",
    "InviteSlugEmpty",
    "InviteSlugExpired",
    "InvitesTooMuch",
    "InvoicePayloadInvalid",
    "JoinAsPeerInvalid",
    "LangCodeInvalid",
    "LangCodeNotSupported",
    "LangPackInvalid",
    "LastnameInvalid",
    "LimitInvalid",
    "LinkNotModified",
    "LiveDisabled",
    "LocationInvalid",
    "MaxDateInvalid",
    "MaxIdInvalid",
    "MaxQtsInvalid",
    "Md5ChecksumInvalid",
    "MediaCaptionTooLong",
    "MediaEmpty",
    "MediaFileInvalid",
    "MediaGroupedInvalid",
    "MediaInvalid",
    "MediaNewInvalid",
    "MediaPrevInvalid",
    "MediaTtlInvalid",
    "MediaTypeInvalid",
    "MediaVideoStoryMissing",
    "MegagroupGeoRequired",
    "MegagroupIdInvalid",
    "MegagroupPrehistoryHidden",
    "MegagroupRequired",
    "MemberFetchFailed",
    "MemberNoLocation",
    "MemberOccupyPrimaryLocFailed",
    "MemberOccupyUsernameFailed",
    "MessageAuthorRequired",
    "MessageDeleteForbidden",
    "MessageEditTimeExpired",
    "MessageEmpty",
    "MessageIdInvalid",
    "MessageIdsEmpty",
    "MessageNotModified",
    "MessagePollClosed",
    "MessageTooLong",
    "MethodInvalid",
    "MinDateInvalid",
    "MsgIdInvalid",
    "MsgRangeUnsync",
    "MsgTooOld",
    "MsgVoiceMissing",
    "MsgWaitFailed",
    "MsgidDecreaseRetry",
    "MtSendQueueTooLong",
    "MultiMediaTooLong",
    "NeedChatInvalid",
    "NeedMemberInvalid",
    "NetworkMigrate",
    "NewSaltInvalid",
    "NewSettingsEmpty",
    "NewSettingsInvalid",
    "NextOffsetInvalid",
    "NoWorkersRunning",
    "NogeneralHideForbidden",
    "NotAcceptable",
    "NotAllowed",
    "NotEligible",
    "OffsetInvalid",
    "OffsetPeerIdInvalid",
    "OptionInvalid",
    "OptionsTooMuch",
    "OrderInvalid",
    "PackShortNameInvalid",
    "PackShortNameOccupied",
    "PackTitleInvalid",
    "ParticipantCallFailed",
    "ParticipantIdInvalid",
    "ParticipantJoinMissing",
    "ParticipantVersionOutdated",
    "ParticipantsTooFew",
    "PasswordEmpty",
    "PasswordHashInvalid",
    "PasswordMissing",
    "PasswordRecoveryExpired",
    "PasswordRecoveryNa",
    "PasswordRequired",
    "PasswordTooFresh",
    "PaymentProviderInvalid",
    "PaymentUnsupported",
    "PeerFlood",
    "PeerHistoryEmpty",
    "PeerIdInvalid",
    "PeerIdNotSupported",
    "PeersListEmpty",
    "PersistentTimestampEmpty",
    "PersistentTimestampInvalid",
    "PersistentTimestampOutdated",
    "PhoneCodeEmpty",
    "PhoneCodeExpired",
    "PhoneCodeHashEmpty",
    "PhoneCodeInvalid",
    "PhoneHashExpired",
    "PhoneMigrate",
    "PhoneNotOccupied",
    "PhoneNumberAppSignupForbidden",
    "PhoneNumberBanned",
    "PhoneNumberFlood",
    "PhoneNumberInvalid",
    "PhoneNumberOccupied",
    "PhoneNumberUnoccupied",
    "PhonePasswordFlood",
    "PhonePasswordProtected",
    "PhotoContentTypeInvalid",
    "PhotoContentUrlEmpty",
    "PhotoCreateFailed",
    "PhotoCropFileMissing",
    "PhotoCropSizeSmall",
    "PhotoExtInvalid",
    "PhotoFileMissing",
    "PhotoIdInvalid",
    "PhotoInvalid",
    "PhotoInvalidDimensions",
    "PhotoSaveFileInvalid",
    "PhotoThumbUrlEmpty",
    "PhotoThumbUrlInvalid",
    "PinRestricted",
    "PinnedDialogsTooMuch",
    "PlatformInvalid",
    "PollAnswerInvalid",
    "PollAnswersInvalid",
    "PollOptionDuplicate",
    "PollOptionInvalid",
    "PollQuestionInvalid",
    "PollUnsupported",
    "PollVoteRequired",
    "PostponedTimeout",
    "PremiumAccountRequired",
    "PremiumCurrentlyUnavailable",
    "PremiumGiftcodeWasRefunded",
    "PremiumSubActiveUntil",
    "PreviousChatImportActiveWaitMin",
    "PrivacyKeyInvalid",
    "PrivacyPremiumRequired",
    "PrivacyTooLong",
    "PrivacyValueInvalid",
    "PtsChangeEmpty",
    "PublicBroadcastExpected",
    "PublicChannelMissing",
    "PublicKeyRequired",
    "QueryIdEmpty",
    "QueryIdInvalid",
    "QueryTooShort",
    "QuizAnswerMissing",
    "QuizCorrectAnswerInvalid",
    "QuizCorrectAnswersEmpty",
    "QuizCorrectAnswersTooMuch",
    "QuizMultipleInvalid",
    "QuoteTextInvalid",
    "RandomIdDuplicate",
    "RandomIdEmpty",
    "RandomIdInvalid",
    "RandomLengthInvalid",
    "RangesInvalid",
    "ReactionEmpty",
    "ReactionInvalid",
    "ReactionsTooMany",
    "ReflectorNotAvailable",
    "RegIdGenerateFailed",
    "ReplyMarkupBuyEmpty",
    "ReplyMarkupGameEmpty",
    "ReplyMarkupInvalid",
    "ReplyMarkupTooLong",
    "ReplyMessageIdInvalid",
    "ReplyToInvalid",
    "ReplyToUserInvalid",
    "ResetRequestMissing",
    "ResultIdDuplicate",
    "ResultIdEmpty",
    "ResultIdInvalid",
    "ResultTypeInvalid",
    "ResultsTooMuch",
    "RevoteNotAllowed",
    "RightForbidden",
    "RightsNotModified",
    "RpcCallFail",
    "RpcConnectFailed",
    "RpcMcgetFail",
    "RpcSendFail",
    "RsaDecryptFailed",
    "SavedDialogsUnsupported",
    "ScheduleBotNotAllowed",
    "ScheduleDateInvalid",
    "ScheduleDateTooLate",
    "ScheduleStatusPrivate",
    "ScheduleTooMuch",
    "ScoreInvalid",
    "SearchQueryEmpty",
    "SearchWithLinkNotSupported",
    "SecondsInvalid",
    "SeeOther",
    "SendAsPeerInvalid",
    "SendCodeUnavailable",
    "SendMediaInvalid",
    "SendMessageMediaInvalid",
    "SendMessageTypeInvalid",
    "SensitiveChangeForbidden",
    "ServiceUnavailable",
    "SessionExpired",
    "SessionPasswordNeeded",
    "SessionRevoked",
    "SessionTooFresh",
    "SettingsInvalid",
    "Sha256HashInvalid",
    "ShortNameInvalid",
    "ShortNameOccupied",
    "ShortnameOccupyFailed",
    "SignInFailed",
    "SlotsEmpty",
    "SlowmodeMultiMsgsDisabled",
    "SlowmodeWait",
    "SlugInvalid",
    "SmsCodeCreateFailed",
    "SrpIdInvalid",
    "SrpPasswordChanged",
    "StargiftAlreadyConverted",
    "StargiftAlreadyUpgraded",
    "StargiftInvalid",
    "StargiftNotFound",
    "StargiftSlugInvalid",
    "StargiftUpgradeUnavailable",
    "StargiftUsageLimited",
    "StartParamEmpty",
    "StartParamInvalid",
    "StartParamTooLong",
    "StatsMigrate",
    "StickerDocumentInvalid",
    "StickerEmojiInvalid",
    "StickerFileInvalid",
    "StickerGifDimensions",
    "StickerIdInvalid",
    "StickerInvalid",
    "StickerMimeInvalid",
    "StickerPngDimensions",
    "StickerPngNopng",
    "StickerTgsNodoc",
    "StickerTgsNotgs",
    "StickerThumbPngNopng",
    "StickerThumbTgsNotgs",
    "StickerVideoBig",
    "StickerVideoNodoc",
    "StickerVideoNowebm",
    "StickerpackStickersTooMuch",
    "StickersEmpty",
    "StickersTooMuch",
    "StickersetInvalid",
    "StickersetNotModified",
    "StickersetOwnerAnonymous",
    "StorageCheckFailed",
    "StorageChooseVolumeFailed",
    "StorageKeyRequired",
    "StoreInvalidScalarType",
    "StoriesNeverCreated",
    "StoriesTooMuch",
    "StoryIdEmpty",
    "StoryIdInvalid",
    "StoryNotModified",
    "StoryPeriodInvalid",
    "StorySendFlood",
    "StorySendFloodMonthly",
    "StorySendFloodWeekly",
    "SwitchPmTextEmpty",
    "TakeoutInitDelay",
    "TakeoutInvalid",
    "TakeoutRequired",
    "TaskAlreadyExists",
    "TempAuthKeyAlreadyBound",
    "TempAuthKeyEmpty",
    "ThemeFileInvalid",
    "ThemeFormatInvalid",
    "ThemeInvalid",
    "ThemeMimeInvalid",
    "ThemeTitleInvalid",
    "Timedout",
    "Timeout",
    "TitleInvalid",
    "TmpPasswordDisabled",
    "TmpPasswordInvalid",
    "ToLangInvalid",
    "TokenEmpty",
    "TokenInvalid",
    "TokenSecretInvalid",
    "TokenTypeInvalid",
    "TopicCloseSeparately",
    "TopicClosed",
    "TopicDeleted",
    "TopicHideSeparately",
    "TopicIdInvalid",
    "TopicNotModified",
    "TopicTitleEmpty",
    "TopicsEmpty",
    "TranscriptionFailed",
    "TtlDaysInvalid",
    "TtlMediaInvalid",
    "TtlPeriodInvalid",
    "TwoFaConfirmWait",
    "TypeConstructorInvalid",
    "TypesEmpty",
    "Unauthorized",
    "UnknownError",
    "UnknownMethod",
    "UntilDateInvalid",
    "UpdateAppToLogin",
    "UploadNoVolume",
    "UrlInvalid",
    "UsageLimitInvalid",
    "UserAdminInvalid",
    "UserAlreadyInvited",
    "UserAlreadyParticipant",
    "UserBannedInChannel",
    "UserBlocked",
    "UserBot",
    "UserBotInvalid",
    "UserBotRequired",
    "UserChannelsTooMuch",
    "UserCreator",
    "UserDeactivated",
    "UserDeactivatedBan",
    "UserDeleted",
    "UserIdInvalid",
    "UserInvalid",
    "UserIsBlocked",
    "UserIsBot",
    "UserKicked",
    "UserMigrate",
    "UserNotMutualContact",
    "UserNotParticipant",
    "UserPrivacyRestricted",
    "UserPublicMissing",
    "UserRestricted",
    "UserVolumeInvalid",
    "UsernameInvalid",
    "UsernameNotModified",
    "UsernameNotOccupied",
    "UsernameOccupied",
    "UsernamePurchaseAvailable",
    "UsernamesActiveTooMuch",
    "UserpicPrivacyRequired",
    "UserpicUploadRequired",
    "UsersTooFew",
    "UsersTooMuch",
    "VenueIdInvalid",
    "VideoContentTypeInvalid",
    "VideoFileInvalid",
    "VideoTitleEmpty",
    "VoiceMessagesForbidden",
    "VolumeLocNotFound",
    "WallpaperFileInvalid",
    "WallpaperInvalid",
    "WallpaperMimeInvalid",
    "WallpaperNotFound",
    "WcConvertUrlInvalid",
    "WebdocumentInvalid",
    "WebdocumentMimeInvalid",
    "WebdocumentSizeTooBig",
    "WebdocumentUrlEmpty",
    "WebdocumentUrlInvalid",
    "WebpageCurlFailed",
    "WebpageMediaEmpty",
    "WebpageNotFound",
    "WebpageUrlInvalid",
    "WebpushAuthInvalid",
    "WebpushKeyInvalid",
    "WebpushTokenInvalid",
    "WorkerBusyTooLongRetry",
    "WpIdGenerateFailed",
    "YouBlockedUser",
]
